#
#    arch-check: return a list of architectures for which we have
#    available versions.
#
#    input: media manifest
#
#    output:
#              list of available architectures
#
BEGIN {
	listed["all"] = "true";
}


/^product/ {
	if (listed[$3] != "true") {
		print $3;
		listed[$3] = "true";
	}
}
